unit Options;

interface

uses SDLCheck, SDLButton, SDLLabel, SDLScroll, 
  sdlgui, SDLDraw, SDLForm;

type
  TfmOptions = class(TSDLForm)
    btCancel: TSDLButton;
    btOK: TSDLButton;
    cbOptimize: TSDLCheckBox;
    sbKeyboard: TSDLScrollBar;
    sbMouse: TSDLScrollBar;
    sbRotation: TSDLScrollBar;
    SDLLabel1: TSDLLabel;
    SDLLabel2: TSDLLabel;
    SDLLabel3: TSDLLabel;
    SDLScrollBar1: TSDLScrollBar;
    procedure btOKClick(Sender: TSDLComponent; AX, AY: Integer);
    procedure btCancelClick(Sender: TSDLComponent; AX, AY: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
    constructor Create(AParent: TSDLObject); override;
    procedure Show;
  end;

var
  fmOptions: TfmOptions;

implementation

uses Cube3D;

procedure TfmOptions.btCancelClick(Sender: TSDLComponent; AX, AY: Integer);
begin
  Modal := False;
  Visible := False;
  LoseFocus;
end;

procedure TfmOptions.btOKClick(Sender: TSDLComponent; AX, AY: Integer);
begin
  SetRotationSpeed(sbRotation.Position);
  SetViewRotSpeed(sbMouse.Position);
  btCancelClick(nil,0,0);
end;

constructor TfmOptions.Create(AParent: TSDLObject);
begin
  inherited;
  LoadCompFromFile('Options.xfm');
end;

procedure TfmOptions.Show;
begin
  Modal := True;
  Visible := True;
  SetFocus;
end;

end.
